Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.templatewizard.processes
Class CreateFolders

    java.lang.Object
      com.nokia.carbide.templatewizard.process.AbstractProcess
          com.nokia.carbide.templatewizard.process.AbstractProjectProcess
              com.nokia.carbide.templatewizard.processes.CreateFolders

All Implemented Interfaces:
  IProcess

    public class CreateFolders

extends AbstractProjectProcess

Process used in templates to create folders in a project.

See the documentation for Creating Wizard Templates.

Field Summary
`protected static java.lang.String` | `FOLDER_PARAMETER`
`protected static java.lang.String` | `PATH_ATTRIBUTE`
`protected IProject` | `project`

Fields inherited from class com.nokia.carbide.templatewizard.process.AbstractProjectProcess
`projectParameter`

Constructor Summary
`CreateFolders()`

Method Summary
`protected Plugin` | `getPlugin()` Must be implemented by subclasses to provide the `Plugin` needed to construct a `CoreException`.
`protected void` | `init(ITemplate template, java.util.List<IParameter> parameters)` Must be implemented by subclasses.
`void` | `process(ITemplate template, java.util.List<IParameter> parameters, IProgressMonitor monitor)` The main method called to execute this process.

Methods inherited from class com.nokia.carbide.templatewizard.process.AbstractProjectProcess
`getProjectName`

Methods inherited from class com.nokia.carbide.templatewizard.process.AbstractProcess
`fail, fail, failIfFalse, failIfNull, findParameterByName, getProcessName, getRequiredAttributeFromParameter, getRequiredParameterByName, mustRunInUIThread, setRunInUIThread`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FOLDER_PARAMETER

    protected static final java.lang.String FOLDER_PARAMETER

See Also:
  Constant Field Values

### PATH_ATTRIBUTE

    protected static final java.lang.String PATH_ATTRIBUTE

See Also:
  Constant Field Values

### project

    protected IProject project

Constructor Detail

### CreateFolders

    public CreateFolders()

Method Detail

### process

    public void process(ITemplate template,
                        java.util.List<IParameter> parameters,
                        IProgressMonitor monitor)
                 throws CoreException

  Description copied from interface: `IProcess`
  The main method called to execute this process.

  Specified by:
    `process` in interface `IProcess`
  Overrides:
    `process` in class `AbstractProcess`
  Parameters:
    `template` - the `ITemplate` for this process
    `parameters` - a list of `IParameter`
    `monitor` - the `IProgressMonitor`
  Throws:
    `CoreException` - if the process fails

### init

    protected void init(ITemplate template,
                        java.util.List<IParameter> parameters)
                 throws CoreException

  Description copied from class: `AbstractProcess`
  Must be implemented by subclasses.
  Called by `IProcess.process(ITemplate, List, IProgressMonitor)` to separate initialization from processing code.

  Overrides:
    `init` in class `AbstractProjectProcess`
  Parameters:
    `template` - the ITemplate argument to process
    `parameters` - the parameter list argument to process
  Throws:
    `CoreException`
  See Also:
    `com.nokia.carbide.templatewizard.process.IProcess#process(com.nokia.carbide.template.engine.ITemplate, java.util.List, org.eclipse.core.runtime.IProgressMonitor)`

### getPlugin

    protected Plugin getPlugin()

  Description copied from class: `AbstractProcess`
  Must be implemented by subclasses to provide the `Plugin` needed to construct a `CoreException`.

  Specified by:
    `getPlugin` in class `AbstractProcess`
  Returns:
    `org.eclipse.core.runtime.Plugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD